OpenShot Audio Library | OpenShotAudio: juce::UnitTestRunner::TestResult Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
juce::UnitTestRunner::TestResult Struct Reference

`#include <juce_UnitTest.h>`

## Public Member Functions
| TestResult (const String &name, const String &subCategory)

## Public Attributes
String | unitTestName
String | subcategoryName
int | passes = 0
int | failures = 0
StringArray | messages
Time | startTime = Time::getCurrentTime()
Time | endTime

## Detailed Description

Contains the results of a test.

One of these objects is instantiated each time UnitTest::beginTest() is called, and it contains details of the number of subsequent UnitTest::expect() calls that are made.

Definition at line 377 of file juce_UnitTest.h.

## Constructor & Destructor Documentation

## ◆ TestResult()

juce::UnitTestRunner::TestResult::TestResult | ( | const String & | name,
|  | const String & | subCategory )
| inlineexplicit

Definition at line 381 of file juce_UnitTest.h.

## Member Data Documentation

## ◆ endTime

Time juce::UnitTestRunner::TestResult::endTime

The time at which this test ended.

Definition at line 403 of file juce_UnitTest.h.

## ◆ failures

int juce::UnitTestRunner::TestResult::failures = 0

The number of UnitTest::expect() calls that failed.

Definition at line 395 of file juce_UnitTest.h.

## ◆ messages

StringArray juce::UnitTestRunner::TestResult::messages

A list of messages describing the failed tests.

Definition at line 398 of file juce_UnitTest.h.

## ◆ passes

int juce::UnitTestRunner::TestResult::passes = 0

The number of UnitTest::expect() calls that succeeded.

Definition at line 393 of file juce_UnitTest.h.

## ◆ startTime

Time juce::UnitTestRunner::TestResult::startTime = Time::getCurrentTime()

The time at which this test was started.

Definition at line 401 of file juce_UnitTest.h.

## ◆ subcategoryName

String juce::UnitTestRunner::TestResult::subcategoryName

The name of the current subcategory (i.e. the name that was set when UnitTest::beginTest() was called).

Definition at line 390 of file juce_UnitTest.h.

## ◆ unitTestName

String juce::UnitTestRunner::TestResult::unitTestName

The main name of this test (i.e. the name of the UnitTest object being run).

Definition at line 388 of file juce_UnitTest.h.

The documentation for this struct was generated from the following file:

- juce_UnitTest.h